img.motion {
    box-shadow: 0 10px 10px -8px var(--purple_shadow_1);
    width: 440px;
    max-width: 100%;
    border-radius: 4px;
    filter: drop-shadow(var(--box_shadow) 0px 2px 10px);
    transform: scale(1);
    transition: 0.1s ease-in-out;

    &:hover {
        transform: scale(1.01);
    }
}

.accueil {
    font-family: 'open-sans', 'arial';
    padding: 15px;
    padding-top: 130px;
    justify-content: center;

    &.boxes {
        padding-top: 20px;
        margin-bottom: 5px;
    }

    &.title {
        text-align: center;
    }

    h1 {
        font-size: 40px;
        text-shadow: 0 0 20px var(--h1_accueil_shadow);
    }

    p {
        text-align: center;
    }

    a {
        text-decoration: none;
    }

    .button {
        position: relative;
        background-image: linear-gradient(90deg, var(--purple_gradient_1) 0px, var(--purple_gradient_2));
        color: var(--body_color_2);
        width: 250px;
        padding: 20px;
        border-radius: 10px;
        text-align: center;
        box-shadow: 0 2px 10px 0px var(--box_shadow);
        font-size: 20px;
        font-weight: normal;
        transition: ease-in-out 0.1s;
        z-index: 1;

        &:hover {
            box-shadow: 5px 2px 25px 0px var(--purple_shadow_1);
            transform: scale(1.01);
            transition: ease-in-out 0.1s;
        }

        &::after {
            position: absolute;
            content: '';
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border-radius: 10px;
            background-image: linear-gradient(90deg, var(--purple_gradient_1) 0px, var(--purple_gradient_3));
            transition: 0.2s ease-out;
            z-index: 2;
            opacity: 0;
        }

        &:hover::after {
            opacity: 1;
        }

        &:active {
            transform: scale(0.95);
            transition: 0.1s ease-out;
        }

        svg {
            width: 30px;
            vertical-align: top;
            margin-right: 10px;

            path {
                fill: var(--body_color_2);
            }
        }

        span {
            position: relative;
            z-index: 3;
        }
    }

    .info {
        margin-top: 15px;

        a {
            color: var(--body_color_1);
            text-decoration: none;
            line-height: 30px;
            border-radius: 6px;
            padding: 5px 10px;
            background: linear-gradient(90deg, var(--purple_gradient_1) 0px, var(--purple_gradient_2)) bottom no-repeat;
            background-size: 100% 1px;
            transition: 0.1s, box-shadow 0.0s;

            &:hover,
            &:focus {
                border-radius: 6px;
                color: var(--body_color_2);
                background-size: 100% 100%;
                box-shadow: 0px 0px 25px 0px var(--purple_shadow_1);
                transition: 0.1s, box-shadow 0.4s;
            }
        }
    }
}

.accueil-end {
    margin-top: 40px;
    text-align: center;
    text-shadow: 0 0 5px var(--h1_accueil_shadow);
    font-family: 'open-sans', 'arial';
}

.accueil-box {
    margin: 20px;
    width: 600px;
    max-width: 100%;

    &.dl {
        position: relative;
        width: auto;
        margin-top: auto;
        margin-bottom: auto;
        transition: ease-in-out;
        transition-duration: 0.1s;

        #noel {
            display: block;
            position: absolute;
            height: 70px;
            width: 70px;
            top: -25px;
            left: 240px;
            z-index: 2;
        }
    }

    &.udiag {
        position: relative;
        width: auto;
    }

    &.text {
        max-width: 550px;
        width: auto;

        p {
            margin-top: 20px;
            margin-bottom: 20px;
            font-family: 'open-sans', 'arial';
        }
    }
}

.udiag img {
    cursor: pointer;
}

.accueil-section {
    padding: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    justify-content: space-around;
    align-items: center;

    &.reverse-on-mobile {
        display: flex;
    }

    &.dark {
        background: var(--accueil_section_dark_bg);
    }

    &.light {
        background: var(--accueil_section_light_bg);
    }

    h1 {
        font-family: 'open-sans', 'arial';
    }

    img {
        width: 100%;
        max-width: 600px;
        border-radius: 8px;
        box-shadow: 0 2px 10px 0px var(--box_shadow);

        &.autodiag {
            box-shadow: 0 10px 10px -8px var(--purple_shadow_1);
        }

        &.hwinfo {
            max-width: 256px;
            box-shadow: none;
            filter: drop-shadow(var(--box_shadow) 0px 2px 10px);
        }
    }

    a.neon {
        color: var(--a_color);
        text-decoration: none;
        line-height: 30px;
        left: -10px;
        position: relative;
        border: none;
        padding: 5px 10px;
        border-radius: 6px;
        background: linear-gradient(90deg, var(--purple_gradient_1) 0px, var(--purple_gradient_2)) bottom no-repeat;
        background-size: 100% 0px;
        transition: 0.1s, box-shadow 0.0s;

        &:hover,
        &:focus {
            color: var(--body_color_2);
            background-size: 100% 100%;
            box-shadow: 0px 0px 25px 0px var(--purple_shadow_1);
            transition: 0.1s, box-shadow 0.4s;
        }
    }

    .accueil-box.img {
        text-align: center;
    }
}

span.ellipse {
    position: absolute;
    width: 800px;
    height: 300px;
    background: var(--purple_gradient_2);
    filter: blur(5em) opacity(0.1);
}

/* fix blur/opacity on firefox */
@-moz-document url-prefix() {
    span.ellipse {
        filter: blur(5em) opacity(0.05);
    }
}

@media all and (max-width: 1350px) {
    .accueil-box {
        width: auto;
    }

    .accueil-section {
        display: grid;

        &.reverse-on-mobile {
            flex-direction: column-reverse;
        }

        img.hwinfo {
            max-width: 170px;
        }
    }
}

@media all and (max-width: 850px) {
    span.ellipse {
        display: none;
    }

    .accueil-box.dl {
        margin-top: -10px;
    }
}
